=== debian/changelog ===
kcoreaddons (5.78.0-4) unstable; urgency=medium

  * Team upload.
  * Reupload source only so it can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 23:06:16 +0100

kcoreaddons (5.78.0-3) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove graphviz from build depends.

  [ Aurélien COUDERC ]
  * Cherry pick upstream fix for occasional Plasma crashes when starting WINE apps.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 24 Feb 2021 13:38:38 +0100

kcoreaddons (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kcoreaddons (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:41 +0900

kcoreaddons (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kcoreaddons (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kcoreaddons (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:14:43 +0200

kcoreaddons (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file and kde5_xml_mimetypes.qm translations to
    libkf5coreaddons-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:28 +0200

kcoreaddons (5.70.0-2) unstable; urgency=medium

  * Team upload.
  * Remove the unused 'testsuite' autopkgtest.
  * Remove breaks/replaces for versions older than what is in oldstable.
  * Update symbols file. (Closes: #957401)
  * Remove the unused debian/meta/ stuff.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - drop patches fix-kformattest-plural-forms.patch, and
      kdirwatch-tests-method-specific.patch, no more needed now
  * Remove the unused ${shlibs:Depends} substvar from libkf5coreaddons-data,
    and libkf5coreaddons-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 09 Aug 2020 10:02:33 +0200
