## kcoreaddons 5.80.0

=== debian/changelog ===
kcoreaddons (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:47 +0000

kcoreaddons (5.79.0-0ubuntu1) hirsute; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.79.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols
  * Skip problematic file in acc test:
    - /usr/include/KF5/KCoreAddons/KFuzzyMatcher

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:31 +0000
