=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               graphviz,
                libfam-dev,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-               shared-mime-info (>= 1.3)
+               shared-mime-info (>= 1.3),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kcoreaddons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
@@ -42,7 +43,7 @@
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Replaces: libkf5coreaddons-bin-dev (<< 5.41)
 Breaks: baloo-kf5-dev (<< 5.54),
         kded5-dev (<< 5.54),
