## kcoreaddons 5.86.0

=== debian/changelog ===
kcoreaddons (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:55 +0100

kcoreaddons (5.85.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.
  * Rename tarball due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:40 +0100

kcoreaddons (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:59:04 +0100

kcoreaddons (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:55 +0100

kcoreaddons (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:28 +0100

kcoreaddons (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:28:06 +0100
